Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb	(revision 389)
@@ -4156,11 +4064,10 @@
   end
 
-  #=== ã»ã«ã® attribute ã®åæå¤ãåºå
+  #=== セルの attribute の初期値を出力
   #
-  #f_get_str:: true ã®å ´åãæå­åãè¿ããfalse ã®å ´åããã¡ã¤ã« f ã«åºåããï¼
-  # æå­åãè¿ãã¨ããæ«å°¾ã« ',' ã¯å«ã¾ããªãï¼
-  # ãã¡ã¤ã«ã¸åºåããã¨ããæ«å°¾ã« ',' ãåºåãããï¼æ§é ä½è¦ç´ ãé
-åè¦ç´ ã®åæå¤ãåºåããã¨ ',' ãäºéã«åºåãããï¼
-  # ãã ãç¾ç¶ã§ã¯ããã¡ã¤ã«ã¸åºåãããã¨ã¯ãªã
+  #f_get_str:: true の場合、文字列を返す、false の場合、ファイル f に出力する．
+  # 文字列を返すとき、末尾に ',' は含まれない．
+  # ファイルへ出力するとき、末尾に ',' が出力される．構造体要素、配列要素の初期値を出力すると ',' が二重に出力される．
+  # ただし現状では、ファイルへ出力することはない
   #
   def gen_cell_cb_init( f, cell, name_array, type, init, identifier, indent, f_get_str = false )
@@ -4176,5 +4083,5 @@
 
       if f_get_str then
-        # åæå¤æªæå®
+        # 初期値未指定
         if type.kind_of?( BoolType ) then
           str = "false"   # formerly tecs_false
@@ -4200,5 +4107,5 @@
         return str
       else
-        # åæå¤æªæå®
+        # 初期値未指定
         if type.kind_of?( BoolType ) then
           f.print "    " * indent
@@ -4234,7 +4141,6 @@
     end    
 
-    # ãã®ã¡ã½ããã¯ Celltype ã®ãã®ã§ããå¿
-è¦ã¯ç¡ãï¼ä¸ã«ç¶ãã®ã§ããã«ç½®ãï¼
-    # åæå¤æå®ãã
+    # このメソッドは Celltype のものである必要は無い（上に続くのでここに置く）
+    # 初期値指定あり
     if type.kind_of?( BoolType ) then
       if init.instance_of?( C_EXP ) then
@@ -4302,5 +4208,5 @@
 
       len.times {
-        next if ! init[i]        # mikan ãã®å¦ç½®ã¯é©åï¼
+        next if ! init[i]        # mikan この処置は適切？
         if f_get_str then
           str += gen_cell_cb_init( f, cell, name_array, at, init[i], "#{identifier}[#{i}]", indent + 1, f_get_str )
@@ -4384,6 +4290,5 @@
   end
 
-  #== é¢æ°ãã¼ãã«ã®å¤é¨åç
-§
+  #== 関数テーブルの外部参照
   def gen_cell_extern_mt fs
     fs.each{ |r, f|
@@ -4400,5 +4305,5 @@
   end
 
-  #=== åãå£ãã£ã¹ã¯ãªãã¿ã®å®ç¾©ãçæ
+  #=== 受け口ディスクリプタの定義を生成
   def gen_cell_ep_des fs
     if @n_cell_gen >0 then
@@ -4413,5 +4318,5 @@
       f = fs[ c.get_region.get_domain_root ]
 
-      ct = c.get_celltype     # ct = self ã§ãåã
+      ct = c.get_celltype     # ct = self でも同じ
       jl = c.get_join_list
       name_array = get_name_array( c )
@@ -4422,5 +4327,5 @@
           next if p.get_port_type != :ENTRY
           next if p.is_omit?
-          if p.is_skelton_useless?       # åãå£æé©ån ep_opt
+          if p.is_skelton_useless?       # 受け口最適化n ep_opt
             f.print( "/* #{p.get_name} : omitted by entry port optimize */\n" )
             next
@@ -4433,6 +4338,5 @@
 
           if len != nil then
-            # åãå£é
-åã®å ´å
+            # 受け口配列の場合
             i = 0
             while i < len
@@ -4519,14 +4423,12 @@
     return if @b_reuse && ! $generate_all_template
     if ! ( @plugin && @plugin.gen_ep_func? ) then
-      return if $generate_no_template     # $generate_all_template ããåªå
-ããã
-
-      # åèã¨ãã¦åºåãããã³ãã¬ã¼ããã¡ã¤ã«ã§ãããã¨ãç¤ºãããã« "_templ" ãä»å ãã
+      return if $generate_no_template     # $generate_all_template より優先される
+
+      # 参考として出力するテンプレートファイルであることを示すために "_templ" を付加する
       fname = "#{$gen}/#{@global_name}_templ.#{$c_suffix}"
     else
-      # Plugin ã«ããçæãããã»ã«ã¿ã¤ãã«ã¤ãã¦ã¯ãååçã«ãã³ãã¬ã¼ãã§ã¯ãªãã
-      # ä¿®æ­£ä¸è¦ãªã»ã«ã¿ã¤ãã®å®è£
-ã³ã¼ããçæããï¼
-      # ãã®ããããã¡ã¤ã«åã« _temp ãä»å ããªã
+      # Plugin により生成されたセルタイプについては、原則的にテンプレートではなく、
+      # 修正不要なセルタイプの実装コードを生成する．
+      # このため、ファイル名に _temp を付加しない
       fname = "#{$gen}/#{@global_name}.#{$c_suffix}"
     end
@@ -4543,5 +4445,5 @@
     gen_template_attr_access f
     gen_template_cp_fun f
-    # gen_template_types f     # 0805503 è¿½å ãã¦ã¿ããããã£ã±ãããã
+    # gen_template_types f     # 0805503 追加してみたが、やっぱりやめる
     f.print( " *\n * #[</PREAMBLE>]# */\n\n" )
     f.printf TECSMsg.get( :PAC_comment ), "#_PAC_#"
@@ -4549,5 +4451,5 @@
     gen_template_private_header f
     if ( @plugin ) then
-      # ãã®ã¡ã½ããã®å¼æ°ã¯ plugin.rb ã®èª¬æãè¦ã
+      # このメソッドの引数は plugin.rb の説明を見よ
       @plugin.gen_preamble( f, @singleton, @name, @global_name )
     end
@@ -4558,5 +4460,5 @@
 
     if ( @plugin ) then
-      # ãã®ã¡ã½ããã®å¼æ°ã¯ plugin.rb ã®èª¬æãè¦ã
+      # このメソッドの引数は plugin.rb の説明を見よ
       @plugin.gen_postamble( f, @singleton, @name, @global_name )
     end
@@ -4740,6 +4642,6 @@
       next if p.get_port_type != :ENTRY
       next if p.is_omit?
-      next if b_inline && ! p.is_inline?  # inline ãã¼ã
-      next if ! b_inline && p.is_inline?  # é inline ãã¼ã
+      next if b_inline && ! p.is_inline?  # inline ポート
+      next if ! b_inline && p.is_inline?  # 非 inline ポート
 
       inline_prefix = ""
@@ -4798,5 +4700,5 @@
           len = items.length
         else
-          # ããã§ nil ã«ãªãã®ã¯ãå¼æ°ãªãã®æã« void ããªãã£ãå ´å
+          # ここで nil になるのは、引数なしの時に void がなかった場合
           items = []
           len = 0
@@ -4819,5 +4721,5 @@
 
         if ( @plugin && @plugin.gen_ep_func? ) then
-          # ãã®ã¡ã½ããã®å¼æ°ã¯ plugin.rb ã®èª¬æãè¦ã
+          # このメソッドの引数は plugin.rb の説明を見よ
           @plugin.gen_ep_func_body( f, @singleton, @name, @global_name, p.get_signature.get_global_name, p.get_name, fun.get_name, "#{@global_name}_#{p.get_name}_#{fun.get_name}", functype, items )
 
@@ -4867,14 +4769,12 @@
     if ! ( @plugin && @plugin.gen_ep_func? ) then
       return if @b_reuse && ! $generate_all_template
-      return if $generate_no_template     # $generate_all_template ããåªå
-ããã
-
-      # åèã¨ãã¦åºåãããã³ãã¬ã¼ããã¡ã¤ã«ã§ãããã¨ãç¤ºãããã« "_templ" ãä»å ãã
+      return if $generate_no_template     # $generate_all_template より優先される
+
+      # 参考として出力するテンプレートファイルであることを示すために "_templ" を付加する
       fname = "#{$gen}/#{@global_name}_inline_templ.#{$h_suffix}"
     else
-      # Plugin ã«ããçæãããã»ã«ã¿ã¤ãã«ã¤ãã¦ã¯ãååçã«ãã³ãã¬ã¼ãã§ã¯ãªãã
-      # ä¿®æ­£ä¸è¦ãªã»ã«ã¿ã¤ãã®å®è£
-ã³ã¼ããçæããï¼
-      # ãã®ããããã¡ã¤ã«åã« _temp ãä»å ããªã
+      # Plugin により生成されたセルタイプについては、原則的にテンプレートではなく、
+      # 修正不要なセルタイプの実装コードを生成する．
+      # このため、ファイル名に _temp を付加しない
       fname = "#{$gen}/#{@global_name}_inline.#{$h_suffix}"
     end
@@ -4899,5 +4799,5 @@
 
     if ( @plugin ) then
-      # ãã®ã¡ã½ããã®å¼æ°ã¯ plugin.rb ã®èª¬æãè¦ã
+      # このメソッドの引数は plugin.rb の説明を見よ
       @plugin.gen_postamble( f, @singleton, @name, @global_name )
     end
@@ -4916,19 +4816,19 @@
       if fa.get_name == :write then
 
-        # åå¾ã® " ãåãé¤ã
+        # 前後の " を取り除く
         # file_name = fa.get_file_name.sub( /^\"(.*)\"$/, "\\1" )
         file_name = CDLString.remove_dquote fa.get_file_name
         format = CDLString.remove_dquote fa.get_format
-        # format    = fa.get_format.sub( /^\"(.*)/, "\\1" )        # åã® " ãåãé¤ã
-        # format    = format.sub( /(.*)\"\z/, "\\1" )              # å¾ã® " ãåãé¤ã
+        # format    = fa.get_format.sub( /^\"(.*)/, "\\1" )        # 前の " を取り除く
+        # format    = format.sub( /(.*)\"\z/, "\\1" )              # 後の " を取り除く
         format    = format.gsub( /\\\n/, "\n" )                  # \\\n => \n
 
 
-        # mikan ä»¥ä¸ã¯ subst_name ã§ç½®æããããã«å¤æ´ãã¹ã
-        file_name = file_name.gsub( /(^|[^\$])\$ct\$/, "\\1#{@name}" )   # $ct$ ãã»ã«ã¿ã¤ãåã«ç½®æ
-        file_name = file_name.gsub( /(^|[^\$])\$ct_global\$/, "\\1#{@global_name}" )   # $ct$ ãã»ã«ã¿ã¤ãåã«ç½®æ
-        format    = format.gsub( /(^|[^\$])\$ct\$/, "\\1#{@name}" )   # $ct$ ãã»ã«ã¿ã¤ãåã«ç½®æ
-        format    = format.gsub( /(^|[^\$])\$ct_global\$/, "\\1#{@global_name}" )   # $ct$ ãã»ã«ã¿ã¤ãåã«ç½®æ
-        format    = format.gsub( /\$\$/, "\$" )                # $$ ã $ ã«ç½®æ
+        # mikan 以下は subst_name で置換するように変更すべき
+        file_name = file_name.gsub( /(^|[^\$])\$ct\$/, "\\1#{@name}" )   # $ct$ をセルタイプ名に置換
+        file_name = file_name.gsub( /(^|[^\$])\$ct_global\$/, "\\1#{@global_name}" )   # $ct$ をセルタイプ名に置換
+        format    = format.gsub( /(^|[^\$])\$ct\$/, "\\1#{@name}" )   # $ct$ をセルタイプ名に置換
+        format    = format.gsub( /(^|[^\$])\$ct_global\$/, "\\1#{@global_name}" )   # $ct$ をセルタイプ名に置換
+        format    = format.gsub( /\$\$/, "\$" )                # $$ を $ に置換
 
         if file_name[0] != ?/ then
@@ -4942,5 +4842,5 @@
             puts( format )
           end
-          # format ä¸­ã® \n, \r, \t, \f ã¨ \" ãªã©ãç½®æ
+          # format 中の \n, \r, \t, \f と \" などを置換
           fmt = CDLString.escape format
           cfg_file.print( fmt )
@@ -4959,5 +4859,5 @@
     @ordered_cell_list.each{ |c|
 
-      # cell ã®ãã­ãã¿ã¤ãå®£è¨ãªãç¡è¦
+      # cell のプロトタイプ宣言なら無視
       next if ! c.is_generate?
 
@@ -4968,12 +4868,12 @@
         if fa.get_name == :write then
 
-          # åå¾ã® " ãåãé¤ã
+          # 前後の " を取り除く
           # file_name = fa.get_file_name.sub( /^\"(.*)\"$/, "\\1" )
           file_name = CDLString.remove_dquote fa.get_file_name
           file_name = subst_name( file_name, name_array )
-          # format    = fa.get_format.sub( /^\"(.*)\"$/, "\\1" )        # åå¾ã® "" ãåãé¤ã
+          # format    = fa.get_format.sub( /^\"(.*)\"$/, "\\1" )        # 前後の "" を取り除く
           format    = CDLString.remove_dquote fa.get_format
-          # format    = fa.get_format.sub( /^\"(.*)/, "\\1" )        # åã® " ãåãé¤ã
-          # format    = format.sub( /(.*)\"\z/, "\\1" )              # å¾ã® " ãåãé¤ã
+          # format    = fa.get_format.sub( /^\"(.*)/, "\\1" )        # 前の " を取り除く
+          # format    = format.sub( /(.*)\"\z/, "\\1" )              # 後の " を取り除く
           format    = format.gsub( /\\\n/, "\n" )                  # \\\n => \n
 
@@ -4986,10 +4886,10 @@
           end
 
-          na = []     # ã·ã³ãã«ã attribute ã®å¤ã«ç½®ãæããå¾ã®å¼æ°
+          na = []     # シンボルを attribute の値に置き換えた後の引数
           if arg_list then
             arg_list.each { |a|
               case a[0]
-              when :STRING_LITERAL   # æå­åå®æ°
-                # s = a[1].sub( /^\"(.*)\"$/, "\\1" )            # åå¾ã® "" ãåãé¤ã
+              when :STRING_LITERAL   # 文字列定数
+                # s = a[1].sub( /^\"(.*)\"$/, "\\1" )            # 前後の "" を取り除く
                 s = CDLString.remove_dquote a[1]
                 s = subst_name( s, name_array )
@@ -4998,13 +4898,12 @@
                 na << s
               when :IDENTIFIER
-                param_name = a[1]    # è­å¥å­ï¼å±æ§ã®ååï¼
+                param_name = a[1]    # 識別子（属性の名前）
                 attr = self.find( param_name )
-                init = attr.get_initializer      # celltype ã§æå®ãããåæå¤
-
-                # cell ã® join ã®ãªã¹ãããååãæ¢ã
+                init = attr.get_initializer      # celltype で指定された初期値
+
+                # cell の join のリストから名前を探す
                 j = c.get_join_list.get_item( param_name )
-                if j then    # param_name ã® cell ã®ã¸ã§ã¤ã³ãããã
-                  init = j.get_rhs                    # cell ã§æå®ãããåæå¤ãåªå
-
+                if j then    # param_name の cell のジョインがあるか
+                  init = j.get_rhs                    # cell で指定された初期値を優先
                 end
 
@@ -5012,5 +4911,5 @@
                                       # file,cell, name_array, type,          init, identifier,       indent, f_get_str
 
-                # str = str.sub( /^\"(.*)\"$/, "\\1" )            # åå¾ã® "" ãåãé¤ã mikan ããã§ç½®æã§ããï¼
+                # str = str.sub( /^\"(.*)\"$/, "\\1" )            # 前後の "" を取り除く mikan ここで置換でよい？
                 str = CDLString.remove_dquote str
                 na << str
@@ -5030,5 +4929,5 @@
             end
 
-            # format ä¸­ã® \n, \r, \t, \f ã¨ \" ãªã©ãç½®æ
+            # format 中の \n, \r, \t, \f と \" などを置換
             fmt = CDLString.escape format
             cfg_file.printf( fmt, *na )
@@ -5054,5 +4953,5 @@
     return if $generate_no_template
 
-    # Makefile.templ ã®çæï¼è¿½è¨ï¼
+    # Makefile.templ の生成（追記）
 
     f = AppFile.open( "#{$gen}/Makefile.templ" )
@@ -5062,7 +4961,7 @@
  
 EOT
-# ãã®çæè¦åã¯2ç¹ã§æå³ããªã
-#  ã»$(GEN_DIR) ã« .o ãçæããã«ã¼ã«ããªã
-#  ã»ãã³ãã¬ã¼ãã³ã¼ãããã®ã¾ã¾ãã«ãããã®ã¯ç´ãããã
+# この生成規則は2点で意味がない
+#  ・$(GEN_DIR) に .o を生成するルールがない
+#  ・テンプレートコードをそのままビルドするのは紛らわしい
 # # Celltype: #{@name}
 # $(GEN_DIR)/#{@global_name}_tecsgen.o : $(GEN_DIR)/#{@global_name}_tecsgen.#{$c_suffix}
@@ -5081,10 +4980,10 @@
     headers = [ "$(GEN_DIR)/#{@global_name}_tecsgen.#{$h_suffix}", "$(GEN_DIR)/#{@global_name}_factory.#{$h_suffix}", "$(GEN_DIR)/global_tecsgen.#{$h_suffix}" ]
 
-    # inline åãå£ãæã¤ãï¼
+    # inline 受け口を持つか？
     if @n_entry_port_inline > 0 then
       headers << "#{@global_name}_inline.#{$h_suffix}"
     end
 
-    # å¼ã³å£ã¾ãã¯åãå£ã®ã·ã°ããã£ã®ããã
+    # 呼び口または受け口のシグニチャのヘッダ
     @port.each { |p|
       next if p.is_omit?
@@ -5111,9 +5010,8 @@
   end
 
-  #=== decl ç¨ã® dealloc ã³ã¼ããçæ
-  #b_reset:: Bool:  ãªã»ããç¨ã® dealloc ã³ã¼ãã®çæ (NULL ãã¤ã³ã¿ã®å ´å dealloc ããªã)
-  # mikan string ä¿®é£¾ããããã¤ã³ã¿ã®å
-ã«ãã¤ã³ã¿ãæ¥ãªãã¨ä»®å®ããã¤ã³ã¿åãæã¤æ§é ä½ã®å¯è½æ§ãæé¤ãã¦ããªã
-  # ãã®ã¡ã½ããã§ã¯ãè¡ãåºåããç´åã« " \\\n" ãåºåããè¡æ«ã§æ¹è¡æå­ãåºåããªã
+  #=== decl 用の dealloc コードを生成
+  #b_reset:: Bool:  リセット用の dealloc コードの生成 (NULL ポインタの場合 dealloc しない)
+  # mikan string 修飾されたポインタの先にポインタが来ないと仮定。ポインタ型を持つ構造体の可能性を排除していない
+  # このメソッドでは、行を出力する直前に " \\\n" を出力し、行末で改行文字を出力しない
   def gen_dealloc_code_for_type( f, type, dealloc_func_name, pre, name, post, level, b_reset, count_str = nil )
     type = type.get_original_type
@@ -5144,5 +5042,5 @@
         post2 = ""
         type2 = md.get_type.get_original_type
-        if type2.kind_of? PtrType then   # mikan typedef ãããå
+        if type2.kind_of? PtrType then   # mikan typedef された型
           if type2.get_count then
             count_str = type2.get_count.to_str( members_decl, pre2, post2 )
@@ -5217,8 +5115,6 @@
     end
 
-    # å¼ã³å£ã®çµåå
-ã®ã»ã«ã¿ã¤ãã®ãããï¼æé©åã®å ´åã®ã¿ï¼
-    # çµåå
-ã®åãå£ã inline ã®å ´åãinline ãããã
+    # 呼び口の結合先のセルタイプのヘッダ（最適化の場合のみ）
+    # 結合先の受け口が inline の場合、inline ヘッダも
     @port.each { |p|
       next if p.get_port_type != :CALL
@@ -5226,5 +5122,5 @@
 
       if p.is_skelton_useless? || p.is_cell_unique? || p.is_VMT_useless? then
-        # æé©åã³ã¼ã (optimize) # ã¹ã±ã«ãã³ä¸è¦ãªã©
+        # 最適化コード (optimize) # スケルトン不要など
         p2 = p.get_real_callee_port
         if p2 then
@@ -5236,5 +5132,5 @@
           headers += ct.get_depend_header_list_( celltype_list )
         #else
-        #  optional ã§æªçµå  
+        #  optional で未結合  
         end
       end
@@ -5244,23 +5140,23 @@
 
 
-  #=== $id$, $ct$, $cb$, $idx$ ç½®æ
+  #=== $id$, $ct$, $cb$, $idx$ 置換
   #
-  #  str ã«ä»¥ä¸ã®ç½®æãè¡ã
-  #-   $ct$ â ã»ã«ã¿ã¤ãå(ct)
-  #-   $cell$ â ã»ã«å(cell)   cell ã nil ãªãã°ä»¥ä¸ã®ç½®æã¯è¡ãããªã
-  #-   $cb$ â CB ã® C è¨èªå(cb)
-  #-   $cbp$ â CB ã¸ã®ãã¤ã³ã¿(cbp)
-  #-   $cb_proto$ â CB ã® C è¨èªåãã­ãã¿ã¤ãå®£è¨ç¨(cb_proto)
-  #-   $id$ â $ct$_$cell_global$    # ct_cell  before or same V1.5.2
-  #-   $idx$ â idx
-  #-   $ID$ â id (æ´æ°ã®çªå·)
-  #-   $ct_global$ â ã»ã«ã¿ã¤ãå(ct)
-  #-   $cell_global$ â ã»ã«å(cell)
-  #-   $$   â $
+  #  str に以下の置換を行う
+  #-   $ct$ ⇒ セルタイプ名(ct)
+  #-   $cell$ ⇒ セル名(cell)   cell が nil ならば以下の置換は行われない
+  #-   $cb$ ⇒ CB の C 言語名(cb)
+  #-   $cbp$ ⇒ CB へのポインタ(cbp)
+  #-   $cb_proto$ ⇒ CB の C 言語名プロトタイプ宣言用(cb_proto)
+  #-   $id$ ⇒ $ct$_$cell_global$    # ct_cell  before or same V1.5.2
+  #-   $idx$ ⇒ idx
+  #-   $ID$ ⇒ id (整数の番号)
+  #-   $ct_global$ ⇒ セルタイプ名(ct)
+  #-   $cell_global$ ⇒ セル名(cell)
+  #-   $$   ⇒ $
   def subst_name( str, name_array )
     ct   = name_array[0]    # celltype name
     cell = name_array[1]    # cell name
     cb   = name_array[2]    # cell CB name
-    cb_init = name_array[3] # cell CB INIT, ããã¯ç½®æã«ä½¿ãããªã
+    cb_init = name_array[3] # cell CB INIT, これは置換に使われない
     cb_proto = name_array[4] # cell CB name for prototype
     id   = name_array[6]    # cell ID
@@ -5283,5 +5179,5 @@
       str = str.gsub( /(^|[^\$])\$cell_global\$/, "\\1#{cell_global}" )
     end
-    str = str.gsub( /\$\$/, "\$" )                       # $$ ã $ ã«ç½®æ
+    str = str.gsub( /\$\$/, "\$" )                       # $$ を $ に置換
 
     return str
@@ -5290,7 +5186,7 @@
 end
 
-# Appendable Fileï¼è¿½è¨å¯è½ãã¡ã¤ã«ï¼
+# Appendable File（追記可能ファイル）
 class AppFile
-  # éãããã¡ã¤ã«ã®ãªã¹ã
+  # 開いたファイルのリスト
   @@file_name_list = {}
 
@@ -5309,18 +5205,18 @@
     end
 
-    # æ¢ã«éãã¦ãããï¼
+    # 既に開いているか？
     if @@file_name_list[ name ] then
 #2.0
       mode = "a" + mode
-      # è¿½è¨ã¢ã¼ãã§éã
+      # 追記モードで開く
       file = File.open( real_name, mode )
     else
 #2.0
       mode = "w" + mode
-      # æ°è¦ã¢ã¼ãã§éãï¼æ¢ã«ããã°ããµã¤ãºãï¼ã«ããï¼
+      # 新規モードで開く（既にあれば、サイズを０にする）
       file = File.open( real_name, mode )
       @@file_name_list[ name ] = true
     end
-    # File ã¯ã©ã¹ã®ãªãã¸ã§ã¯ããè¿ã
+    # File クラスのオブジェクトを返す
     return file
   end
Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/location.rb
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/location.rb	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/location.rb	(revision 389)
@@ -6,47 +6,32 @@
 #   Copyright (C) 2008-2017 by TOPPERS Project
 #--
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 #  
 #   $Id$
@@ -77,6 +62,5 @@
 
 #==  Cell_location
-  # tecscde ã®ä½ç½®æ
-å ±
+  # tecscde の位置情報
   class  Cell_location
 
@@ -105,6 +89,5 @@
 
   #==  Join_location
-  # tecscde ã®ä½ç½®æ
-å ±
+  # tecscde の位置情報
   class  Join_location
     @@join_location_list = []
Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/messages.rb
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/messages.rb	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/messages.rb	(revision 389)
@@ -6,59 +6,43 @@
 #   Copyright (C) 2008-2017 by TOPPERS Project
 #--
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 #  
 #   $Id$
 #++
 
-#== TECS ã®çæããåå½èªåå¿
-è¦ãªæå­å
-# ç¾ç¶ãã¨ã©ã¼ã¡ãã»ã¼ã¸ã¯è±èªã®ã¿
-# çæãã¡ã¤ã«ã®ã³ã¡ã³ãã¨ãã¦åºåãããæå­å
+#== TECS の生成する各国語化必要な文字列
+# 現状、エラーメッセージは英語のみ
+# 生成ファイルのコメントとして出力される文字列
 class TECSMsg
 
-  #=== TECSMsg#çæãããããããã³ãã¬ã¼ããªã©ã«å«ããã³ã¡ã³ãã®åå¾
-  # CDL ã®æå­ã³ã¼ãã«åããã¦ãæå­ã³ã¼ãå¤æãè¡ã
+  #=== TECSMsg#生成するヘッダやテンプレートなどに含めるコメントの取得
+  # CDL の文字コードに合わせて、文字コード変換を行う
   def self.get( msg )
     str = @@comment[ msg ]
@@ -71,10 +55,10 @@
   end
 
- #=== TECSMsg#ã­ã¼ã«ã©ã¤ãºãããã¨ã©ã¼ã¡ãã»ã¼ã¸ãå¾ã
- #body::String   : "S0001 error message body"  ã®å½¢å¼
- # S0001 ã®é¨åãä½¿ç¨ããã
- # Generator.error2 ããå¼ã³åºããã
+ #=== TECSMsg#ローカライズされたエラーメッセージを得る
+ #body::String   : "S0001 error message body"  の形式
+ # S0001 の部分が使用される
+ # Generator.error2 から呼び出される
  def self.get_error_message( body )
-   body =~ /^[A-Z0-9]+/    # ã¨ã©ã¼çªå·ãåãåºã
+   body =~ /^[A-Z0-9]+/    # エラー番号を取り出す
    num = $&
    if num then
@@ -91,8 +75,8 @@
  end
 
- #=== TECSMsg#ã­ã¼ã«ã©ã¤ãºãããã¦ã©ã¼ãã³ã°ã¡ãã»ã¼ã¸ãå¾ã
- # Generator.warning2 ããå¼ã³åºããã
+ #=== TECSMsg#ローカライズされたウォーニングメッセージを得る
+ # Generator.warning2 から呼び出される
  def self.get_warning_message( body )
-   body =~ /^[A-Z0-9]+/    # ã¦ã©ã¼ãã³ã°çªå·ãåãåºã
+   body =~ /^[A-Z0-9]+/    # ウォーニング番号を取り出す
    num = $&
    msg = @@warning_message[ num.to_sym ]
@@ -105,10 +89,8 @@
  end
 
- #=== TECSMsg#ã­ã¼ã«ã©ã¤ãºãããæ
-å ±ã¡ãã»ã¼ã¸ãå¾ã
- # Generator.info2 ããå¼ã³åºããã
+ #=== TECSMsg#ローカライズされた情報メッセージを得る
+ # Generator.info2 から呼び出される
  def self.get_info_message( body )
-   body =~ /^[A-Z0-9]+/    # æ
-å ±çªå·ãåãåºã
+   body =~ /^[A-Z0-9]+/    # 情報番号を取り出す
    num = $&
    msg = @@info_message[ num.to_sym ]
